From: "Guilherme Amadio" <amadio@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-physics/root/
Date: Tue, 5 Feb 2019 09:51:34 +0000 (UTC) [thread overview]
Message-ID: <1549360149.e525231758bd7a4a53c4e51b1f4530e8f0eb66e6.amadio@gentoo> (raw)
commit: e525231758bd7a4a53c4e51b1f4530e8f0eb66e6
Author: Guilherme Amadio <amadio <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 4 10:16:04 2019 +0000
Commit: Guilherme Amadio <amadio <AT> gentoo <DOT> org>
CommitDate: Tue Feb 5 09:49:09 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e5252317
sci-physics/root: backport ebuild fixes to older versions
- Update REQUIRED_USE and dependencies
- Use usr/lib (like LLVM) to avoid ROOT bug
- Create versioned symlinks to binaries to easily allow
running a specific version of ROOT when more than one
version is installed
Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Guilherme Amadio <amadio <AT> gentoo.org>
...ot-6.12.06-r8.ebuild => root-6.12.06-r9.ebuild} | 38 +++++-------
...ot-6.14.08-r1.ebuild => root-6.14.08-r2.ebuild} | 72 ++++++++++------------
2 files changed, 47 insertions(+), 63 deletions(-)
diff --git a/sci-physics/root/root-6.12.06-r8.ebuild b/sci-physics/root/root-6.12.06-r9.ebuild
similarity index 90%
rename from sci-physics/root/root-6.12.06-r8.ebuild
rename to sci-physics/root/root-6.12.06-r9.ebuild
index 373b866eeae..3baa2bb1b7e 100644
--- a/sci-physics/root/root-6.12.06-r8.ebuild
+++ b/sci-physics/root/root-6.12.06-r9.ebuild
@@ -146,9 +146,9 @@ src_configure() {
local mycmakeargs=(
-DCMAKE_C_FLAGS="${CFLAGS}"
-DCMAKE_CXX_FLAGS="${CXXFLAGS}"
- -DCMAKE_INSTALL_PREFIX="${EPREFIX%/}/usr/$(get_libdir)/${PN}/$(ver_cut 1-2)"
- -DCMAKE_INSTALL_MANDIR="${EPREFIX%/}/usr/$(get_libdir)/${PN}/$(ver_cut 1-2)/share/man"
- -DMCAKE_INSTALL_LIBDIR=$(get_libdir)
+ -DCMAKE_INSTALL_PREFIX="${EPREFIX%/}/usr/lib/${PN}/$(ver_cut 1-2)"
+ -DCMAKE_INSTALL_MANDIR="${EPREFIX%/}/usr/lib/${PN}/$(ver_cut 1-2)/share/man"
+ -DCMAKE_INSTALL_LIBDIR="lib"
-DDEFAULT_SYSROOT="${EPREFIX}"
-Dexplicitlink=ON
-Dexceptions=ON
@@ -269,45 +269,37 @@ src_configure() {
src_install() {
cmake-utils_src_install
- ROOTSYS=${EPREFIX%/}/usr/$(get_libdir)/${PN}/$(ver_cut 1-2)
+ ROOTSYS=${EPREFIX%/}/usr/lib/${PN}/$(ver_cut 1-2)
ROOTENV=$((9999 - $(ver_cut 2)))${PN}-$(ver_cut 1-2)
- # ROOT fails without this symlink because it only looks in lib
- if [[ ! -d ${D}/${ROOTSYS}/lib ]]; then
- dosym $(get_libdir) /usr/$(get_libdir)/${PN}/$(ver_cut 1-2)/lib
- fi
-
cat > ${ROOTENV} <<- EOF || die
MANPATH="${ROOTSYS}/share/man"
PATH="${ROOTSYS}/bin"
ROOTPATH="${ROOTSYS}/bin"
- LDPATH="${ROOTSYS}/$(get_libdir)"
+ LDPATH="${ROOTSYS}/lib"
EOF
if use python; then
- echo "PYTHONPATH=${ROOTSYS}/$(get_libdir)" >> ${ROOTENV} || die
+ echo "PYTHONPATH=${ROOTSYS}/lib" >> ${ROOTENV} || die
fi
doenvd ${ROOTENV}
- pushd "${D}/${ROOTSYS}" > /dev/null
-
if use emacs; then
elisp-install ${PN}-$(ver_cut 1-2) "${BUILD_DIR}"/root-help.el
fi
- if ! use gdml; then
- rm -r geom || die
- fi
+ pushd "${D}/${ROOTSYS}" > /dev/null
- if ! use examples; then
- rm -r test tutorials || die
- fi
+ rm -r test emacs bin/*.{csh,sh} || die
- if use tmva; then
- rm -r tmva || die
+ if ! use examples; then
+ rm -r tutorials || die
fi
- # clean up unnecessary files from installation
- rm -r emacs || die
+ # create versioned symlinks for binaries
+ cd bin;
+ for exe in *; do
+ dosym "${exe}" "/usr/lib/${PN}/$(ver_cut 1-2)/bin/${exe}-$(ver_cut 1-2)"
+ done
}
diff --git a/sci-physics/root/root-6.14.08-r1.ebuild b/sci-physics/root/root-6.14.08-r2.ebuild
similarity index 82%
rename from sci-physics/root/root-6.14.08-r1.ebuild
rename to sci-physics/root/root-6.14.08-r2.ebuild
index 591ae2768d3..2a1d13bad9d 100644
--- a/sci-physics/root/root-6.14.08-r1.ebuild
+++ b/sci-physics/root/root-6.14.08-r2.ebuild
@@ -29,6 +29,7 @@ KEYWORDS="~amd64 ~x86"
REQUIRED_USE="
^^ ( c++11 c++14 c++17 )
+ cuda? ( tmva !c++17 )
!X? ( !asimage !opengl !qt5 !tiff )
davix? ( ssl xml )
python? ( ${PYTHON_REQUIRED_USE} )
@@ -41,18 +42,18 @@ CDEPEND="
app-arch/lz4
app-arch/xz-utils
fortran? ( dev-lang/cfortran )
- dev-libs/libpcre:3=
+ dev-libs/libpcre:3
dev-libs/xxhash
media-fonts/dejavu
- media-libs/freetype:2=
+ media-libs/freetype:2
media-libs/libpng:0=
sys-libs/ncurses:=
sys-libs/zlib
X? (
- x11-libs/libX11:0=
- x11-libs/libXext:0=
- x11-libs/libXft:0=
- x11-libs/libXpm:0=
+ x11-libs/libX11:0
+ x11-libs/libXext:0
+ x11-libs/libXft:0
+ x11-libs/libXpm:0
opengl? (
media-libs/ftgl:0=
media-libs/glew:0=
@@ -76,8 +77,8 @@ CDEPEND="
emacs? ( virtual/emacs )
fftw? ( sci-libs/fftw:3.0= )
fits? ( sci-libs/cfitsio:0= )
- graphviz? ( media-gfx/graphviz:0= )
- gsl? ( sci-libs/gsl )
+ graphviz? ( media-gfx/graphviz )
+ gsl? ( sci-libs/gsl:= )
http? ( dev-libs/fcgi:0= )
jemalloc? ( dev-libs/jemalloc )
kerberos? ( virtual/krb5 )
@@ -89,8 +90,8 @@ CDEPEND="
odbc? ( || ( dev-db/libiodbc dev-db/unixODBC ) )
oracle? ( dev-db/oracle-instantclient-basic )
postgres? ( dev-db/postgresql:= )
- pythia6? ( sci-physics/pythia:6= )
- pythia8? ( sci-physics/pythia:8= )
+ pythia6? ( sci-physics/pythia:6 )
+ pythia8? ( sci-physics/pythia:8 )
python? ( ${PYTHON_DEPS} )
R? ( dev-lang/R )
shadow? ( virtual/shadow )
@@ -98,7 +99,7 @@ CDEPEND="
ssl? ( dev-libs/openssl:0= )
tbb? ( >=dev-cpp/tbb-2018 )
tmva? ( dev-python/numpy[${PYTHON_USEDEP}] )
- vc? ( dev-libs/vc )
+ vc? ( dev-libs/vc:= )
xml? ( dev-libs/libxml2:2= )
xrootd? ( net-libs/xrootd:0= )
"
@@ -119,12 +120,10 @@ pkg_setup() {
use fortran && fortran-2_pkg_setup
use python && python-single-r1_pkg_setup
- elog "There are extra options on packages not yet in Gentoo:"
- elog "Afdsmgrd, AliEn, castor, Chirp, dCache, gfal, Globus, gLite,"
- elog "HDFS, Monalisa, MaxDB/SapDB, SRP, VecCore."
- elog "You can use the environment variable EXTRA_ECONF for this."
- elog "For example, for Chirp, you would set: "
- elog "EXTRA_ECONF=\"-Dchirp=ON\""
+ elog "There are extra options on packages not available in Gentoo."
+ elog "You can use the environment variable EXTRA_ECONF to enable"
+ elog "these packages. For example, for Vdt you would set:"
+ elog "EXTRA_ECONF=\"-Dbuiltin_vdt=ON -Dvdt=ON\""
}
src_prepare() {
@@ -140,7 +139,7 @@ src_prepare() {
# Note: ROOT uses bundled clang because it is patched and API-incompatible
# with vanilla clang. The patches enable the C++ interpreter to work.
-# Since ROOT installs many files into /etc (~100MB in total) that don't
+# Since ROOT installs many files into /etc (>100MB in total) that don't
# really belong there, we install it into another directory to avoid
# making /etc too big.
@@ -149,9 +148,9 @@ src_configure() {
-DCMAKE_C_FLAGS="${CFLAGS}"
-DCMAKE_CXX_FLAGS="${CXXFLAGS}"
-DPYTHON_EXECUTABLE="${PYTHON}"
- -DCMAKE_INSTALL_PREFIX="${EPREFIX%/}/usr/$(get_libdir)/${PN}/$(ver_cut 1-2)"
- -DCMAKE_INSTALL_MANDIR="${EPREFIX%/}/usr/$(get_libdir)/${PN}/$(ver_cut 1-2)/share/man"
- -DCMAKE_INSTALL_LIBDIR=$(get_libdir)
+ -DCMAKE_INSTALL_PREFIX="${EPREFIX%/}/usr/lib/${PN}/$(ver_cut 1-2)"
+ -DCMAKE_INSTALL_MANDIR="${EPREFIX%/}/usr/lib/${PN}/$(ver_cut 1-2)/share/man"
+ -DCMAKE_INSTALL_LIBDIR="lib"
-DDEFAULT_SYSROOT="${EPREFIX}"
-DCLING_BUILD_PLUGINS=OFF
-Dexplicitlink=ON
@@ -285,44 +284,37 @@ src_compile() {
src_install() {
cmake-utils_src_install
- ROOTSYS=${EPREFIX%/}/usr/$(get_libdir)/${PN}/$(ver_cut 1-2)
+ ROOTSYS=${EPREFIX%/}/usr/lib/${PN}/$(ver_cut 1-2)
ROOTENV=$((9999 - $(ver_cut 2)))${PN}-$(ver_cut 1-2)
- # ROOT fails without this symlink because it only looks in lib
- if [[ ! -d ${D}/${ROOTSYS}/lib ]]; then
- dosym $(get_libdir) /usr/$(get_libdir)/${PN}/$(ver_cut 1-2)/lib
- fi
-
cat > ${ROOTENV} <<- EOF || die
MANPATH="${ROOTSYS}/share/man"
PATH="${ROOTSYS}/bin"
ROOTPATH="${ROOTSYS}/bin"
- LDPATH="${ROOTSYS}/$(get_libdir)"
+ LDPATH="${ROOTSYS}/lib"
EOF
if use python; then
- echo "PYTHONPATH=${ROOTSYS}/$(get_libdir)" >> ${ROOTENV} || die
+ echo "PYTHONPATH=\"${ROOTSYS}/lib\"" >> ${ROOTENV} || die
fi
doenvd ${ROOTENV}
- pushd "${D}/${ROOTSYS}" > /dev/null
-
if use emacs; then
elisp-install ${PN}-$(ver_cut 1-2) "${BUILD_DIR}"/root-help.el
fi
+ pushd "${D}/${ROOTSYS}" > /dev/null
+
+ rm -r test emacs bin/*.{csh,sh} || die
+
if ! use examples; then
rm -r tutorials || die
fi
- if ! use tmva; then
- rm -r tmva || die
- fi
-
- # Environment variables are managed by env.d.
- rm -f bin/*.{c,}sh || die
-
- # clean up unnecessary files from installation
- rm -r emacs test || die
+ # create versioned symlinks for binaries
+ cd bin;
+ for exe in *; do
+ dosym "${exe}" "/usr/lib/${PN}/$(ver_cut 1-2)/bin/${exe}-$(ver_cut 1-2)"
+ done
}
next reply other threads:[~2019-02-05 9:51 UTC|newest]
Thread overview: 204+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-02-05 9:51 Guilherme Amadio [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-02-18 22:35 [gentoo-commits] repo/gentoo:master commit in: sci-physics/root/ Andreas Sturmlechner
2025-02-13 9:52 Guilherme Amadio
2025-02-13 9:52 Guilherme Amadio
2025-02-13 9:52 Guilherme Amadio
2025-02-06 12:31 Nowa Ammerlaan
2024-12-18 14:33 Guilherme Amadio
2024-12-03 14:21 Guilherme Amadio
2024-12-03 14:21 Guilherme Amadio
2024-11-22 15:09 Guilherme Amadio
2024-11-22 15:09 Guilherme Amadio
2024-09-30 14:19 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-08-14 14:36 Guilherme Amadio
2024-06-19 7:56 Guilherme Amadio
2024-05-30 15:38 Guilherme Amadio
2024-05-30 15:38 Guilherme Amadio
2024-04-09 16:07 Guilherme Amadio
2024-03-11 3:11 Benda XU
2024-03-10 12:16 Guilherme Amadio
2024-03-10 12:16 Guilherme Amadio
2024-03-10 12:16 Guilherme Amadio
2024-03-10 12:16 Guilherme Amadio
2024-03-10 12:16 Guilherme Amadio
2024-01-31 15:51 Guilherme Amadio
2024-01-30 15:25 Guilherme Amadio
2024-01-30 15:25 Guilherme Amadio
2023-12-05 12:16 Guilherme Amadio
2023-11-30 12:35 Guilherme Amadio
2023-11-30 12:35 Guilherme Amadio
2023-11-14 15:13 Guilherme Amadio
2023-11-14 15:13 Guilherme Amadio
2023-11-14 15:13 Guilherme Amadio
2023-11-14 15:13 Guilherme Amadio
2023-11-14 15:13 Guilherme Amadio
2023-10-30 7:58 Guilherme Amadio
2023-10-27 6:56 Guilherme Amadio
2023-10-27 6:56 Guilherme Amadio
2023-09-26 7:28 Guilherme Amadio
2023-09-11 11:46 Guilherme Amadio
2023-05-17 14:59 Guilherme Amadio
2023-05-17 14:59 Guilherme Amadio
2023-05-17 14:59 Guilherme Amadio
2023-03-24 15:39 Guilherme Amadio
2023-02-28 10:47 Guilherme Amadio
2023-02-24 16:37 Guilherme Amadio
2023-02-13 9:56 Guilherme Amadio
2023-02-13 9:56 Guilherme Amadio
2023-02-13 9:56 Guilherme Amadio
2023-02-13 9:56 Guilherme Amadio
2023-02-13 9:56 Guilherme Amadio
2022-12-19 14:47 Andreas Sturmlechner
2022-10-20 8:44 Guilherme Amadio
2022-10-20 8:44 Guilherme Amadio
2022-10-14 12:48 Andrew Ammerlaan
2022-09-21 8:19 Guilherme Amadio
2022-09-21 8:19 Guilherme Amadio
2022-06-09 9:28 Guilherme Amadio
2022-05-23 15:21 Guilherme Amadio
2022-04-13 6:22 Guilherme Amadio
2022-04-13 6:22 Guilherme Amadio
2022-04-13 6:22 Guilherme Amadio
2022-03-20 18:51 Sam James
2022-03-09 16:31 Guilherme Amadio
2022-03-09 16:31 Guilherme Amadio
2022-03-09 16:31 Guilherme Amadio
2022-03-09 16:31 Guilherme Amadio
2022-01-15 21:51 Sam James
2021-10-29 22:23 Sam James
2021-10-18 11:36 Guilherme Amadio
2021-09-06 6:38 Guilherme Amadio
2021-08-26 9:28 Guilherme Amadio
2021-07-17 18:18 David Seifert
2021-06-28 19:42 Guilherme Amadio
2021-06-28 16:15 Guilherme Amadio
2021-06-28 16:15 Guilherme Amadio
2021-06-28 12:24 Guilherme Amadio
2021-06-28 12:24 Guilherme Amadio
2021-06-22 22:38 Sam James
2021-04-21 14:13 Guilherme Amadio
2021-04-21 14:13 Guilherme Amadio
2021-04-21 14:13 Guilherme Amadio
2021-03-23 13:09 Guilherme Amadio
2021-03-04 23:39 Andreas Sturmlechner
2021-02-15 0:32 Sam James
2020-11-30 13:00 Guilherme Amadio
2020-11-18 9:39 Guilherme Amadio
2020-11-18 9:39 Guilherme Amadio
2020-09-16 10:05 Michał Górny
2020-08-27 15:31 Guilherme Amadio
2020-08-27 15:31 Guilherme Amadio
2020-07-08 13:32 Marek Szuba
2020-06-15 10:28 Guilherme Amadio
2020-06-15 9:45 Guilherme Amadio
2020-06-15 9:45 Guilherme Amadio
2020-06-15 9:45 Guilherme Amadio
2020-06-15 9:45 Guilherme Amadio
2020-06-15 9:45 Guilherme Amadio
2020-05-07 13:44 Guilherme Amadio
2020-04-01 11:30 Guilherme Amadio
2020-04-01 11:30 Guilherme Amadio
2020-03-16 13:32 Guilherme Amadio
2020-03-12 12:18 Guilherme Amadio
2020-03-12 7:27 Guilherme Amadio
2020-03-12 7:27 Guilherme Amadio
2020-03-12 7:27 Guilherme Amadio
2020-03-12 7:27 Guilherme Amadio
2020-03-10 20:04 Guilherme Amadio
2020-03-10 20:04 Guilherme Amadio
2020-03-07 9:55 Mikle Kolyada
2020-03-03 9:07 Guilherme Amadio
2020-02-09 16:47 Michał Górny
2020-02-08 16:53 David Seifert
2020-01-22 11:24 Guilherme Amadio
2020-01-16 7:59 Michał Górny
2020-01-16 7:03 Michał Górny
2019-12-20 22:49 Ulrich Müller
2019-12-12 14:58 Michał Górny
2019-11-18 11:10 Guilherme Amadio
2019-09-30 12:49 Guilherme Amadio
2019-09-09 6:13 Guilherme Amadio
2019-09-09 6:13 Guilherme Amadio
2019-08-20 6:33 Guilherme Amadio
2019-08-08 14:49 Guilherme Amadio
2019-08-05 15:34 Guilherme Amadio
2019-08-05 15:30 Guilherme Amadio
2019-07-29 6:34 Guilherme Amadio
2019-07-17 14:06 Guilherme Amadio
2019-07-17 14:06 Guilherme Amadio
2019-06-28 6:16 Guilherme Amadio
2019-06-27 13:23 Guilherme Amadio
2019-06-27 11:58 Guilherme Amadio
2019-05-07 6:47 Guilherme Amadio
2019-05-07 6:47 Guilherme Amadio
2019-02-05 9:51 Guilherme Amadio
2019-02-04 7:38 Guilherme Amadio
2019-01-27 1:40 Benda XU
2019-01-27 1:40 Benda XU
2019-01-24 16:24 Guilherme Amadio
2018-12-14 9:05 Guilherme Amadio
2018-12-12 7:12 Guilherme Amadio
2018-12-12 7:12 Guilherme Amadio
2018-12-11 11:19 Guilherme Amadio
2018-12-11 11:19 Guilherme Amadio
2018-12-11 11:19 Guilherme Amadio
2018-12-11 11:19 Guilherme Amadio
2018-12-06 14:26 Guilherme Amadio
2018-11-25 9:22 Guilherme Amadio
2018-11-19 16:25 Guilherme Amadio
2018-11-19 16:25 Guilherme Amadio
2018-09-17 15:53 Guilherme Amadio
2018-09-17 15:53 Guilherme Amadio
2018-08-30 9:39 Guilherme Amadio
2018-08-29 15:07 Guilherme Amadio
2018-08-28 11:04 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-08-24 12:57 Guilherme Amadio
2018-07-31 17:49 Guilherme Amadio
2018-07-06 9:28 Guilherme Amadio
2018-07-05 13:34 Guilherme Amadio
2018-07-05 11:15 Guilherme Amadio
2018-07-05 11:15 Guilherme Amadio
2018-04-12 15:50 Guilherme Amadio
2018-03-22 14:24 Guilherme Amadio
2018-03-22 14:24 Guilherme Amadio
2018-03-22 14:24 Guilherme Amadio
2018-03-22 14:24 Guilherme Amadio
2018-03-19 18:06 Guilherme Amadio
2018-03-06 14:43 Guilherme Amadio
2018-03-06 14:43 Guilherme Amadio
2018-02-23 23:37 Michał Górny
2018-01-19 16:38 Guilherme Amadio
2017-12-18 13:13 Guilherme Amadio
2017-12-18 13:13 Guilherme Amadio
2017-12-18 13:13 Guilherme Amadio
2017-12-15 12:01 Guilherme Amadio
2017-12-15 12:01 Guilherme Amadio
2017-12-15 12:01 Guilherme Amadio
2016-12-19 14:13 Agostino Sarubbo
2016-12-19 14:11 Agostino Sarubbo
2016-12-07 2:11 Andrew Savchenko
2016-12-05 22:41 Andrew Savchenko
2016-10-02 12:37 Pacho Ramos
2016-07-23 14:03 Benda XU
2016-06-19 8:53 Andrew Savchenko
2016-05-19 4:55 Benda XU
2016-04-15 8:02 Andrew Savchenko
2016-04-15 8:02 Andrew Savchenko
2016-04-15 8:02 Andrew Savchenko
2016-01-16 12:37 Andrew Savchenko
2016-01-16 10:21 Andrew Savchenko
2015-11-20 16:45 Guilherme Amadio
2015-11-20 16:45 Guilherme Amadio
2015-09-24 12:45 Agostino Sarubbo
2015-09-24 12:44 Agostino Sarubbo
2015-08-23 11:52 Andrew Savchenko
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1549360149.e525231758bd7a4a53c4e51b1f4530e8f0eb66e6.amadio@gentoo \
--to=amadio@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox